
package webservices;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0
 * Generated source version: 2.2
 * 
 */
@WebService(name = "ITaskWS", targetNamespace = "http://webservices/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface ITaskWS {


    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "saveTask", targetNamespace = "http://webservices/", className = "webservices.SaveTask")
    @ResponseWrapper(localName = "saveTaskResponse", targetNamespace = "http://webservices/", className = "webservices.SaveTaskResponse")
    @Action(input = "http://webservices/ITaskWS/saveTaskRequest", output = "http://webservices/ITaskWS/saveTaskResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/ITaskWS/saveTask/Fault/DatabaseErrorException")
    })
    public boolean saveTask(
        @WebParam(name = "arg0", targetNamespace = "")
        Task arg0)
        throws DatabaseErrorException_Exception
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "deleteTask", targetNamespace = "http://webservices/", className = "webservices.DeleteTask")
    @ResponseWrapper(localName = "deleteTaskResponse", targetNamespace = "http://webservices/", className = "webservices.DeleteTaskResponse")
    @Action(input = "http://webservices/ITaskWS/deleteTaskRequest", output = "http://webservices/ITaskWS/deleteTaskResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/ITaskWS/deleteTask/Fault/DatabaseErrorException")
    })
    public boolean deleteTask(
        @WebParam(name = "arg0", targetNamespace = "")
        long arg0)
        throws DatabaseErrorException_Exception
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "updateTask", targetNamespace = "http://webservices/", className = "webservices.UpdateTask")
    @ResponseWrapper(localName = "updateTaskResponse", targetNamespace = "http://webservices/", className = "webservices.UpdateTaskResponse")
    @Action(input = "http://webservices/ITaskWS/updateTaskRequest", output = "http://webservices/ITaskWS/updateTaskResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/ITaskWS/updateTask/Fault/DatabaseErrorException")
    })
    public boolean updateTask(
        @WebParam(name = "arg0", targetNamespace = "")
        Task arg0)
        throws DatabaseErrorException_Exception
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns java.util.List<webservices.Task>
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getTaskByState", targetNamespace = "http://webservices/", className = "webservices.GetTaskByState")
    @ResponseWrapper(localName = "getTaskByStateResponse", targetNamespace = "http://webservices/", className = "webservices.GetTaskByStateResponse")
    @Action(input = "http://webservices/ITaskWS/getTaskByStateRequest", output = "http://webservices/ITaskWS/getTaskByStateResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/ITaskWS/getTaskByState/Fault/DatabaseErrorException")
    })
    public List<Task> getTaskByState(
        @WebParam(name = "arg0", targetNamespace = "")
        long arg0)
        throws DatabaseErrorException_Exception
    ;

}
